Index: trunk/src/org/expeditee/settings/experimental/ExperimentalFeatures.java
===================================================================
--- trunk/src/org/expeditee/settings/experimental/ExperimentalFeatures.java	(revision 1241)
+++ trunk/src/org/expeditee/settings/experimental/ExperimentalFeatures.java	(revision 1242)
@@ -23,11 +23,11 @@
 public class ExperimentalFeatures {
 
-	public static final BooleanSetting AutoWrap = new BooleanSetting("Enable auto wrapping of text", false);
+	public static final BooleanSetting AutoWrap = new BooleanSetting("Enable auto wrapping of text", "AutoWrap", false);
 	
-	public static final BooleanSetting FrameZoom = new BooleanSetting("Enable zooming in and out of frame using F1/F2 or else shift with click-wheel", false);
+	public static final BooleanSetting FrameZoom = new BooleanSetting("Enable zooming in and out of frame using F1/F2 or else shift with click-wheel", "FrameZoom", false);
 	
-	public static final BooleanSetting FrameZoomAroundCursor = new BooleanSetting("If true, Frame Zooming uses the location of the mouse cursor as the central point to zoom in/out.", false);
+	public static final BooleanSetting FrameZoomAroundCursor = new BooleanSetting("If true, Frame Zooming uses the location of the mouse cursor as the central point to zoom in/out.", "FrameZoomAroundCursor", false);
 	
-	public static final BooleanSetting MousePan = new BooleanSetting("Enable panning of the frame by shift-click and dragging the mouse", false);
+	public static final BooleanSetting MousePan = new BooleanSetting("Enable panning of the frame by shift-click and dragging the mouse", "MousePan", false);
 	
 }
Index: trunk/src/org/expeditee/settings/exploratorysearch/ExploratorySearchSettings.java
===================================================================
--- trunk/src/org/expeditee/settings/exploratorysearch/ExploratorySearchSettings.java	(revision 1241)
+++ trunk/src/org/expeditee/settings/exploratorysearch/ExploratorySearchSettings.java	(revision 1242)
@@ -19,8 +19,6 @@
 package org.expeditee.settings.exploratorysearch;
 
-import org.expeditee.items.Text;
 import org.expeditee.setting.BooleanSetting;
 import org.expeditee.setting.IntegerSetting;
-import org.expeditee.setting.StringSetting;
 
 /**
@@ -34,16 +32,16 @@
 	public static final int BROWSER_VERT_OFFSET = 50;
 	
-	public static final BooleanSetting BrowserFullScreen = new BooleanSetting("Start Exploratory Search browser in fullscreen", true);
+	public static final BooleanSetting BrowserFullScreen = new BooleanSetting("Start Exploratory Search browser in fullscreen", "BrowserFullScreen", true);
 	
-	public static final IntegerSetting BrowserDefaultWidth = new IntegerSetting("Default Browser width", 800);
+	public static final IntegerSetting BrowserDefaultWidth = new IntegerSetting("Default Browser width", "BrowserDefaultWidth", 800);
 	
-	public static final IntegerSetting BrowserDefaultHeight = new IntegerSetting("Default Browser height", 600);
+	public static final IntegerSetting BrowserDefaultHeight = new IntegerSetting("Default Browser height"," BrowserDefaultHeight",600);
 	
-	public static final IntegerSetting BrowserLeftMargin = new IntegerSetting("Size of left hand margin for Browser", 0);
+	public static final IntegerSetting BrowserLeftMargin = new IntegerSetting("Size of left hand margin for Browser","BrowserLeftMargin", 0);
 	
-	public static final IntegerSetting BrowserRightMargin = new IntegerSetting("Size of right hand margin for Browser", 0);
+	public static final IntegerSetting BrowserRightMargin = new IntegerSetting("Size of right hand margin for Browser", "BrowserRightMargin", 0);
 	
-	public static final IntegerSetting BrowserTopMargin = new IntegerSetting("Size of Top margin for Browser", 0);
+	public static final IntegerSetting BrowserTopMargin = new IntegerSetting("Size of Top margin for Browser", "BrowserTopMargin", 0);
 	
-	public static final IntegerSetting BrowserBottomMargin = new IntegerSetting("Size of bottom margin for Browser", 0);
+	public static final IntegerSetting BrowserBottomMargin = new IntegerSetting("Size of bottom margin for Browser", "BrowserBottomMargin", 0);
 }
Index: trunk/src/org/expeditee/settings/folders/FolderSettings.java
===================================================================
--- trunk/src/org/expeditee/settings/folders/FolderSettings.java	(revision 1241)
+++ trunk/src/org/expeditee/settings/folders/FolderSettings.java	(revision 1242)
@@ -25,9 +25,8 @@
 import org.expeditee.setting.ListSetting;
 import org.expeditee.setting.Setting;
-import org.expeditee.settings.UserSettings;
 
 public class FolderSettings {
 
-	public static final ListSetting<String> FrameDirs = new ListSetting<String>("Directories to look in for frames") {
+	public static final ListSetting<String> FrameDirs = new ListSetting<String>("Directories to look in for frames", "FrameDirs") {
 		@Override
 		public boolean setSetting(Text text) {
@@ -36,5 +35,5 @@
 		}
 	};
-	public static final Setting FramesetDir = new Setting("Adds a directory to look in for frames") {
+	public static final Setting FramesetDir = new Setting("Adds a directory to look in for frames", "FramesetDir") {
 		@Override
 		public boolean setSetting(Text text) {
@@ -52,7 +51,13 @@
     		return false;
 		}
+		
+		@Override
+		public Text generateRepresentation(String label, String frameset) {
+			Text t = new Text(label);
+			return t;
+		}
 	};
 
-	public static ListSetting<String> ImageDirs = new ListSetting<String>("Directories to look in for images") {
+	public static ListSetting<String> ImageDirs = new ListSetting<String>("Directories to look in for images", "ImageDirs") {
 		@Override
 		public boolean setSetting(Text text) {
@@ -61,5 +66,5 @@
 		}
 	};
-	public static final Setting ImageDir = new Setting("Adds a directory to look in for images") {
+	public static final Setting ImageDir = new Setting("Adds a directory to look in for images", "ImageDir") {
 		@Override
 		public boolean setSetting(Text text) {
@@ -77,7 +82,13 @@
     		return false;
 		}
+		
+		@Override
+		public Text generateRepresentation(String label, String frameset) {
+			Text t = new Text(label);
+			return t;
+		}
 	};
 	
-	public static final Setting LogDir = new Setting("Set the directory to save logs") {
+	public static final Setting LogDir = new Setting("Set the directory to save logs", "LogDir") {
 		@Override
 		public boolean setSetting(Text text) {
@@ -91,4 +102,10 @@
     		return true;
 		}
+		
+		@Override
+		public Text generateRepresentation(String label, String frameset) {
+			Text t = new Text(label);
+			return t;
+		}
 	};
 }
Index: trunk/src/org/expeditee/settings/legacy/LegacyFeatures.java
===================================================================
--- trunk/src/org/expeditee/settings/legacy/LegacyFeatures.java	(revision 1241)
+++ trunk/src/org/expeditee/settings/legacy/LegacyFeatures.java	(revision 1242)
@@ -4,4 +4,5 @@
 
 public class LegacyFeatures {
-	public static final BooleanSetting UseLegacyActionArgumentMapping = new BooleanSetting("Legacy action argument mapping does not allow for the possibility of actions being passed both floating content and the action item.", false);
+	public static final BooleanSetting UseLegacyActionArgumentMapping = 
+			new BooleanSetting("Legacy action argument mapping does not allow for the possibility of actions being passed both floating content and the action item.", "UseLegacyActionArgumentMapping", false);
 }
Index: trunk/src/org/expeditee/settings/network/NetworkSettings.java
===================================================================
--- trunk/src/org/expeditee/settings/network/NetworkSettings.java	(revision 1241)
+++ trunk/src/org/expeditee/settings/network/NetworkSettings.java	(revision 1242)
@@ -33,7 +33,7 @@
 	public static final StringSetting HomePage = new StringSetting("The home page for the JfxBrowser", "https://duckduckgo.com");
 	
-	public static final IntegerSetting FrameShareTimeout = new IntegerSetting("Timeout for FrameShare socket, in milliseconds", 1000);
+	public static final IntegerSetting FrameShareTimeout = new IntegerSetting("Timeout for FrameShare socket, in milliseconds", "FrameShareTimeout", 1000);
 	
-	public static final FrameSetting FrameShare = new FrameSetting("Enable accessing remote frames") {
+	public static final FrameSetting FrameShare = new FrameSetting("Enable accessing remote frames", "FrameShare") {
 		@Override
 		public void run(Frame frame) {
